import '@nuxtjs/axios';
import { resolve } from 'path';
// @ts-ignore
import { sequence } from '@nuxt/utils';
const byuModuleWrapper = async function (moduleOptions) {
    const excludedModules = (moduleOptions && moduleOptions.excludedModules) || [];
    const excludedPlugins = (moduleOptions && moduleOptions.excludedPlugins) || [];
    const excludedBuildModules = (moduleOptions && moduleOptions.excludedBuildModules) || [];
    const modules = ['@nuxtjs/axios', 'vuetify-dialog/nuxt'].filter((module) => !excludedModules.includes(module));
    const plugins = ['axios', 'implicit-grant', 'filters', 'appDynamics', 'byucomponents', 'vuetify-dialog'].filter((plugin) => !excludedPlugins.includes(plugin));
    if (!this.options.modules) {
        this.options.modules = [];
    }
    modules.forEach((module) => {
        this.options.modules.push(module);
    });
    plugins.forEach((plugin) => {
        this.addPlugin({
            src: resolve(__dirname, `plugins/${plugin}.js`),
            options: (moduleOptions && moduleOptions.pluginOptions && moduleOptions.pluginOptions[plugin]) || {},
        });
    });
    // We're inside "buildModules", so we can't simply tweak the nuxt options. Instead, we'll call addModule ourselves
    const buildModules = ['@nuxt/typescript-build', '@nuxtjs/vuetify'].filter((buildModule) => !excludedBuildModules.includes(buildModule));
    const addModule = this.addModule.bind(this);
    await sequence(buildModules, addModule);
};
export default byuModuleWrapper;
export const meta = require('../package.json');
//# sourceMappingURL=index.js.map